Package owl.grammar

## Class LTLParserBaseVisitor<T>

- java.lang.Object
- - org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
  - - owl.grammar.LTLParserBaseVisitor<T>

- Type Parameters:
    `T` - The return type of the visit operation. Use `Void` for operations with no return type.
  All Implemented Interfaces:
    `org.antlr.v4.runtime.tree.ParseTreeVisitor<T>`, `LTLParserVisitor<T>`

      public class LTLParserBaseVisitor<T>
      extends org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
      implements LTLParserVisitor<T>

  This class provides an empty implementation of `LTLParserVisitor`, which can be extended to create a visitor which only needs to handle a subset of the available methods.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LTLParserBaseVisitor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `visitAndExpression​(LTLParser.AndExpressionContext ctx)` | Visit a parse tree produced by `LTLParser.andExpression()`.
    `T` | `visitBinaryOp​(LTLParser.BinaryOpContext ctx)` | Visit a parse tree produced by `LTLParser.binaryOp()`.
    `T` | `visitBinaryOperation​(LTLParser.BinaryOperationContext ctx)` | Visit a parse tree produced by the `binaryOperation` labeled alternative in `LTLParser.binaryExpression()`.
    `T` | `visitBinaryUnary​(LTLParser.BinaryUnaryContext ctx)` | Visit a parse tree produced by the `binaryUnary` labeled alternative in `LTLParser.binaryExpression()`.
    `T` | `visitBool​(LTLParser.BoolContext ctx)` | Visit a parse tree produced by `LTLParser.bool()`.
    `T` | `visitBoolean​(LTLParser.BooleanContext ctx)` | Visit a parse tree produced by the `boolean` labeled alternative in `LTLParser.atomExpression()`.
    `T` | `visitComparison​(LTLParser.ComparisonContext ctx)` | Visit a parse tree produced by `LTLParser.comparison()`.
    `T` | `visitDoubleQuotedVariable​(LTLParser.DoubleQuotedVariableContext ctx)` | Visit a parse tree produced by the `doubleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
    `T` | `visitExpression​(LTLParser.ExpressionContext ctx)` | Visit a parse tree produced by `LTLParser.expression()`.
    `T` | `visitFormula​(LTLParser.FormulaContext ctx)` | Visit a parse tree produced by `LTLParser.formula()`.
    `T` | `visitFraction​(LTLParser.FractionContext ctx)` | Visit a parse tree produced by the `fraction` labeled alternative in `LTLParser.frequencySpec()`.
    `T` | `visitFrequencyOp​(LTLParser.FrequencyOpContext ctx)` | Visit a parse tree produced by `LTLParser.frequencyOp()`.
    `T` | `visitNested​(LTLParser.NestedContext ctx)` | Visit a parse tree produced by the `nested` labeled alternative in `LTLParser.atomExpression()`.
    `T` | `visitOrExpression​(LTLParser.OrExpressionContext ctx)` | Visit a parse tree produced by `LTLParser.orExpression()`.
    `T` | `visitProbability​(LTLParser.ProbabilityContext ctx)` | Visit a parse tree produced by the `probability` labeled alternative in `LTLParser.frequencySpec()`.
    `T` | `visitSingleQuotedVariable​(LTLParser.SingleQuotedVariableContext ctx)` | Visit a parse tree produced by the `singleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
    `T` | `visitUnaryAtom​(LTLParser.UnaryAtomContext ctx)` | Visit a parse tree produced by the `unaryAtom` labeled alternative in `LTLParser.unaryExpression()`.
    `T` | `visitUnaryOp​(LTLParser.UnaryOpContext ctx)` | Visit a parse tree produced by `LTLParser.unaryOp()`.
    `T` | `visitUnaryOperation​(LTLParser.UnaryOperationContext ctx)` | Visit a parse tree produced by the `unaryOperation` labeled alternative in `LTLParser.unaryExpression()`.
    `T` | `visitVariable​(LTLParser.VariableContext ctx)` | Visit a parse tree produced by the `variable` labeled alternative in `LTLParser.atomExpression()`.

    - ### Methods inherited from class org.antlr.v4.runtime.tree.AbstractParseTreeVisitor

      `aggregateResult, defaultResult, shouldVisitNextChild, visit, visitChildren, visitErrorNode, visitTerminal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Constructor Detail

    - #### LTLParserBaseVisitor

          public LTLParserBaseVisitor()

  - ### Method Detail

    - #### visitFormula

          public T visitFormula​(LTLParser.FormulaContext ctx)

      Visit a parse tree produced by `LTLParser.formula()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitFormula` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitExpression

          public T visitExpression​(LTLParser.ExpressionContext ctx)

      Visit a parse tree produced by `LTLParser.expression()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitExpression` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitOrExpression

          public T visitOrExpression​(LTLParser.OrExpressionContext ctx)

      Visit a parse tree produced by `LTLParser.orExpression()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitOrExpression` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitAndExpression

          public T visitAndExpression​(LTLParser.AndExpressionContext ctx)

      Visit a parse tree produced by `LTLParser.andExpression()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitAndExpression` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBinaryOperation

          public T visitBinaryOperation​(LTLParser.BinaryOperationContext ctx)

      Visit a parse tree produced by the `binaryOperation` labeled alternative in `LTLParser.binaryExpression()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitBinaryOperation` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBinaryUnary

          public T visitBinaryUnary​(LTLParser.BinaryUnaryContext ctx)

      Visit a parse tree produced by the `binaryUnary` labeled alternative in `LTLParser.binaryExpression()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitBinaryUnary` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitUnaryOperation

          public T visitUnaryOperation​(LTLParser.UnaryOperationContext ctx)

      Visit a parse tree produced by the `unaryOperation` labeled alternative in `LTLParser.unaryExpression()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitUnaryOperation` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitUnaryAtom

          public T visitUnaryAtom​(LTLParser.UnaryAtomContext ctx)

      Visit a parse tree produced by the `unaryAtom` labeled alternative in `LTLParser.unaryExpression()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitUnaryAtom` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBoolean

          public T visitBoolean​(LTLParser.BooleanContext ctx)

      Visit a parse tree produced by the `boolean` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitBoolean` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitVariable

          public T visitVariable​(LTLParser.VariableContext ctx)

      Visit a parse tree produced by the `variable` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitVariable` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitSingleQuotedVariable

          public T visitSingleQuotedVariable​(LTLParser.SingleQuotedVariableContext ctx)

      Visit a parse tree produced by the `singleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitSingleQuotedVariable` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitDoubleQuotedVariable

          public T visitDoubleQuotedVariable​(LTLParser.DoubleQuotedVariableContext ctx)

      Visit a parse tree produced by the `doubleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitDoubleQuotedVariable` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNested

          public T visitNested​(LTLParser.NestedContext ctx)

      Visit a parse tree produced by the `nested` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitNested` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitUnaryOp

          public T visitUnaryOp​(LTLParser.UnaryOpContext ctx)

      Visit a parse tree produced by `LTLParser.unaryOp()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitUnaryOp` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBinaryOp

          public T visitBinaryOp​(LTLParser.BinaryOpContext ctx)

      Visit a parse tree produced by `LTLParser.binaryOp()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitBinaryOp` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBool

          public T visitBool​(LTLParser.BoolContext ctx)

      Visit a parse tree produced by `LTLParser.bool()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitBool` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitFrequencyOp

          public T visitFrequencyOp​(LTLParser.FrequencyOpContext ctx)

      Visit a parse tree produced by `LTLParser.frequencyOp()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitFrequencyOp` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitFraction

          public T visitFraction​(LTLParser.FractionContext ctx)

      Visit a parse tree produced by the `fraction` labeled alternative in `LTLParser.frequencySpec()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitFraction` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitProbability

          public T visitProbability​(LTLParser.ProbabilityContext ctx)

      Visit a parse tree produced by the `probability` labeled alternative in `LTLParser.frequencySpec()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitProbability` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitComparison

          public T visitComparison​(LTLParser.ComparisonContext ctx)

      Visit a parse tree produced by `LTLParser.comparison()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitComparison` in interface `LTLParserVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result